The Skills API is for administering Skill records in Skills Base which includes adding, retrieving, updating and deleting records.
Endpoint
/1.0/skills
Objects used by this API
|
Name |
Data type |
Read only |
Description |
|
id |
Yes |
The unique identifier for the record, used to reference the record in other API interactions. |
|
|
category_id |
No |
Skill Category id |
|
|
name |
No |
Skill name |
|
|
description |
No |
Skill description |
|
|
custom_field_{n} |
Yes |
Custom Field with id {n}. Where {n} corresponds to the permanent internal id allocated to the custom field (retrievable via the Skills Base UI). |
Methods
GET /skills
Returns all Skills in the instance.
GET /skills/:id
Returns a Skill matching the given id
POST /skills/search
Searches Skill records. See Search APIs for a description of search functionality.
The available search parameters are:
|
Name |
Arrays |
Wildcards |
|
id |
Yes |
No |
|
category_id |
Yes |
No |
|
name |
No |
Yes |
|
description |
No |
Yes |
POST /skills
Creates a new Skill record.
The following parameters can be POSTed
|
Name |
Required |
|
name |
Yes |
|
category_id |
No |
|
description |
No |
PUT /skills/:id
Updates an existing Skill record.
The following fields can be updated:
|
Name |
|
category_id |
|
name |
|
description |
DELETE /skills/:id
Deletes a Skill